Last Comment Bug 748865 - TB 12: Message Body not loaded when using "Fetch Headers Only" if message is in a sub-folder
: TB 12: Message Body not loaded when using "Fetch Headers Only" if message is ...
Status: RESOLVED FIXED
[fixed in 12.0.1]
: regression
Product: MailNews Core
Classification: Components
Component: Networking: POP (show other bugs)
: 12
: x86_64 Mac OS X
: -- critical (vote)
: Thunderbird 15.0
Assigned To: David :Bienvenu
:
:
Mentors:
: 748097 749147 749523 (view as bug list)
Depends on:
Blocks: 750630 748097
  Show dependency treegraph
 
Reported: 2012-04-25 11:12 PDT by trashmailings
Modified: 2014-01-14 01:11 PST (History)
11 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
fixed
+
fixed
fixed


Attachments
proposed fix (932 bytes, patch)
2012-04-27 14:16 PDT, David :Bienvenu
standard8: review+
standard8: approval‑comm‑aurora+
standard8: approval‑comm‑beta+
standard8: approval‑comm‑release+
Details | Diff | Splinter Review

Description trashmailings 2012-04-25 11:12:09 PDT
User Agent: Mozilla/5.0 (Macintosh; Intel Mac OS X 10.7; rv:12.0) Gecko/20100101 Firefox/12.0
Build ID: 20120420145725

Steps to reproduce:

After installing and openingThunderbird 12 I downloaded new mails from the server via POP3.
I'm using the option "Fetch Headers Only" and some Filter Rules with sub-folders in the Inbox. 
Messages in sub-folders of the Inbox doesn't load by clicking "Here" to download fully. 
Instead there is a blank page and the Header with buttons is also disappeared   



Actual results:

After clicking "Here" to download full message the panel window (not double-clicked to an e-mail) gets completely blank. 
If I double click a mail for extra window, every click on "Here" for download the full message Thunderbird loads instead the Header of the opened mail , so that there are twice or more copies of the same mail, but also with blank window. 
This is reproducible for every sub-folder:
* Create a sub-folder in inbox.
* Create a filter to do the mail in the sub-folder by income or manual filter start.
* Load a message with "fetch Headers only" on.
* Message now should be in a sub-folder, if not use the filter manual.
* Try to download the full message by clicking "Here" to download
* Message shouldn't be download and instead there is a blank window. 

No Problem when mail is in Inbox-Folder or put manually in a sub-folder
Problem disapear by unchecking "Fetch Headers Only". (Message loads correctly.  

Additional information:
popstate.dat marked not correctly downloaded mails with blank message window with a "k". 
The sub-folder document (not the .msf-file) not showing message text.
the sub-folder .msf either not showing message text. 


Expected results:

Normally clicking "Here" to download the full message downloads the full message.
Comment 1 :aceman 2012-04-26 01:45:19 PDT
After you get the blank window, can you go and find the message in question manually? Is it there and fully loaded?
Comment 2 :aceman 2012-04-26 03:14:08 PDT
I have already filed a similar bug 748097, may be related.
Comment 3 trashmailings 2012-04-26 06:48:06 PDT
No, after clicking "Here" to download there is only a blank message window without anything. Also theres nothing stored in .msf-files for sub-folders where normally the message text can be found with an Text Editor.

Today I checked Debug-Console after starting and I get some failures and warnings.
Most interesting could be this:

Discovering folders for account failed with exception: [Exception... "Component returned failure code: 0x80550013 [nsIMsgFolder.subFolders]"  nsresult: "0x80550013 (<unknown>)"  location: "JS frame :: resource:///modules/MailUtils.js :: MailUtils_discoverFolders :: line 77"  data: no]
Comment 4 Armin Stebich 2012-04-27 01:02:02 PDT
User-Agent  Mozilla/5.0 (Windows NT 5.1; rv:12.0) Gecko/20120420 Thunderbird/12.0 
Build-ID 20120420153905 

I can confirm this behavior. 

Sometimes when double clicking the message to open it in a new Tab the header from the latest Tab is duplicated.
- Open a correct email from the Inbox folder in a Tab.
- Then open a fault email from the subfolder. 
- An empty Tab is opened for the subfolder email. 
- Close this Tab and open the subfolder email a second time.
- Now the Tab isn't empty, the From/Subject/To header from the correct email are duplicated in the Tab. 
- The Tab title shows the subject of the subfolder email.

In the subfolder file I found the message header of this email but without the message body.
Comment 5 Armin Stebich 2012-04-27 01:32:44 PDT
Moving the email to the Inbox folder before downloading the body solve this problem. If there is a filter which moved the email to the subfolder the email is moved back by it after downloading the body.

If there is no filter you are hit by Bug 749147 then, but that is not so critical.
Comment 6 trashmailings 2012-04-27 06:44:18 PDT
(In reply to Armin Stebich from comment #5)
> Moving the email to the Inbox folder before downloading the body solve this
> problem. If there is a filter which moved the email to the subfolder the
> email is moved back by it after downloading the body.
> 
> If there is no filter you are hit by Bug 749147 then, but that is not so
> critical.

I can confirm this.
Comment 7 David :Bienvenu 2012-04-27 14:07:55 PDT
testing a fix now.
Comment 8 David :Bienvenu 2012-04-27 14:16:09 PDT
Created attachment 619178 [details] [diff] [review]
proposed fix

this fixes the not selecting the downloaded message issue, and the non-inbox case as well, though the former makes a lot more sense than the latter to me.
Comment 9 David :Bienvenu 2012-04-27 14:30:01 PDT
try server builds with this fix should appear here - http://ftp.mozilla.org/pub/mozilla.org/thunderbird-test/try-builds/bienvenu@nventure.com-5a61186c4096
Comment 10 David :Bienvenu 2012-04-27 14:36:15 PDT
unfortunately, we can't do mozmill tests with pop3 servers, so it's hard to have an automated test for this.

m_buildMessageUri is only true when we're doing a uidl download, so there's very little chance of a regression with this patch.
Comment 11 :aceman 2012-04-27 15:47:34 PDT
I can confirm this patch fixes also bug 748097. I will dupe that one here if the patch stays working after reviews.
Comment 12 Mark Banner (:standard8, afk until Dec) 2012-04-28 06:57:55 PDT
Comment on attachment 619178 [details] [diff] [review]
proposed fix

[Triage Comment]
a=me for landing regression fix on branches.
Comment 14 :aceman 2012-04-28 08:35:56 PDT
*** Bug 749147 has been marked as a duplicate of this bug. ***
Comment 15 :aceman 2012-04-28 08:37:13 PDT
*** Bug 748097 has been marked as a duplicate of this bug. ***
Comment 16 :aceman 2012-04-28 08:38:15 PDT
*** Bug 749523 has been marked as a duplicate of this bug. ***
Comment 17 :aceman 2012-04-28 08:39:31 PDT
Thanks, confirming fix of bug 748097 on the trunk.
Comment 18 trashmailings 2012-04-30 13:36:13 PDT
I'm sorry, but i have to re-open the bug. For me it is not resolved. I'm using now 12.0.1
Mail's which are loaded with "Fetch header only" and automated move into a sub-folder by a filter where I want to download full message are staying blank... :(
Comment 19 trashmailings 2012-04-30 14:36:08 PDT
(In reply to trashmailings from comment #18)
> I'm sorry, but i have to re-open the bug. For me it is not resolved. I'm
> using now 12.0.1
> Mail's which are loaded with "Fetch header only" and automated move into a
> sub-folder by a filter where I want to download full message are staying
> blank... :(

Did a roll-back to 11.0.1 - no bug. Did this to check if thereis a profile structure problem. There is nothing. I think it has do with this Debug Info, because in 11.0.1 it doesn't show up:
Discovering folders for account failed with exception: [Exception... "Component returned failure code: 0x80550013 [nsIMsgFolder.subFolders]"  nsresult: "0x80550013 (<unknown>)"  location: "JS frame :: resource:///modules/MailUtils.js :: MailUtils_discoverFolders :: line 77"  data: no]
Comment 20 David :Bienvenu 2012-04-30 15:51:59 PDT
I suspect you're seeing a different bug than the other header only mode bugs. What's the path to the problem folder look like?
Comment 21 Mike Kaganski 2012-04-30 16:36:52 PDT
I must say that 12.0.1 doesn't fix the Bug 748097 that was duped here. Downloading the rest of the message by clicking link in its "body" still moves selection to the last message in inbox.
Comment 22 trashmailings 2012-04-30 16:48:08 PDT
standard osx installation, nothing special. Nothing modified. 
/user/[username]/library/Thunderbird/Profiles/xxxxx.default/Mail/[Mail-Foldername]
Comment 23 :aceman 2012-04-30 16:50:03 PDT
Well, bug 748097 was fixed by the patch here on TB15 (where that bug was filed). Maybe the situation in TB12 is a bit different?
Comment 24 Mike Kaganski 2012-04-30 17:02:26 PDT
Well, it may be Bug 749147, if they are substantially different. Or even a new bug, since Bug 749147 says that second earliest message is selected, while I see the oldest message selected :)
Comment 25 Mark Banner (:standard8, afk until Dec) 2012-05-01 01:24:23 PDT
For tracking purposes, I've filed bug 750630 to continue the issue originally reported in this bug. Please continue the discussion there and we'll keep this as fixed, as we did land something (and it certainly fixed at least the part of the issue I was able to reproduce).
Comment 26 :aceman 2012-05-02 05:47:50 PDT
Yes, the patch here fixed the problem for some people, e.g. we have verification in bug 749147 (duped here).
Comment 27 Mike Kaganski 2012-05-02 13:44:20 PDT
This bug (or bug 749147) was fixed for me, despite what I said in last comments. It seems that auto-updater somehow didn't update everything on my machine until reboot. So I had experienced that problem until I have rebooted my PC, after which it had gone. Thanks.
Comment 28 hkk 2013-06-07 03:56:06 PDT
Same issue with TB v.17.0.6 in OsX Snw Leopard (but the same in some ubuntu machine).
I haven't test with windows computer but I can do that if it's useful to solve the problem.

Note You need to log in before you can comment on or make changes to this bug.